Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.auth
Class BasicAWSCredentials

    java.lang.Object
      com.amazonaws.auth.BasicAWSCredentials

All Implemented Interfaces:
  AWSCredentials

    public class BasicAWSCredentials

extends Object
implements AWSCredentials

Basic implementation of the AWSCredentials interface that allows callers to pass in the AWS access key and secret access in the constructor.

Constructor Summary
`BasicAWSCredentials(String accessKey, String secretKey)` Constructs a new BasicAWSCredentials object, with the specified AWS access key and AWS secret key.

Method Summary
`String` | `getAWSAccessKeyId()` Returns the AWS access key ID for this credentials object.
`String` | `getAWSSecretKey()` Returns the AWS secret access key for this credentials object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAWSCredentials

    public BasicAWSCredentials(String accessKey,
                               String secretKey)

  Constructs a new BasicAWSCredentials object, with the specified AWS access key and AWS secret key.

  Parameters:
    `accessKey` - The AWS access key.
    `secretKey` - The AWS secret access key.

Method Detail

### getAWSAccessKeyId

    public String getAWSAccessKeyId()

  Description copied from interface: `AWSCredentials`
  Returns the AWS access key ID for this credentials object.

  Specified by:
    `getAWSAccessKeyId` in interface `AWSCredentials`
  Returns:
    The AWS access key ID for this credentials object.

### getAWSSecretKey

    public String getAWSSecretKey()

  Description copied from interface: `AWSCredentials`
  Returns the AWS secret access key for this credentials object.

  Specified by:
    `getAWSSecretKey` in interface `AWSCredentials`
  Returns:
    The AWS secret access key for this credentials object.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.